# Claude Code Content Injection Configuration
# This file defines content to be injected at specific points in BMAD files
# when Claude Code is selected as the IDE during installation
#
# The installer will:
# 1. Ask users if they want to install subagents (all/selective/none)
# 2. Ask where to install (project-level .claude/agents/_bmad/ or user-level ~/.claude/agents/_bmad/)
# 3. Only inject content related to selected subagents
# 4. Templates stay in _bmad/ directory and are referenced from there
# 5. Injections are placed at specific sections where each subagent is most valuable

injections:
  # ===== PRD WORKFLOW INJECTIONS =====

  # PRD Subagent Instructions
  - file: "_bmad/bmm/workflows/prd/instructions.md"
    point: "prd-subagent-instructions"
    requires: "all-prd-subagents"
    content: |

      **Subagent Usage**: Throughout this workflow, leverage specialized subagents at critical decision points:
      - <CRITICAL>Use `bmm-requirements-analyst` when defining functional requirements</CRITICAL>
      - <CRITICAL>Use `bmm-user-journey-mapper` for comprehensive journey mapping</CRITICAL>
      - <CRITICAL>Use `bmm-epic-optimizer` when structuring epic boundaries</CRITICAL>
      - <CRITICAL>Use `bmm-technical-decisions-curator` to capture all technical mentions</CRITICAL>

  # PRD Requirements Analysis
  - file: "_bmad/bmm/workflows/prd/instructions.md"
    point: "prd-requirements-analysis"
    requires: "requirements-analyst"
    content: |

      **Subagent Hint**: Use `bmm-requirements-analyst` to validate requirements are testable and complete.

  # PRD User Journey Mapping
  - file: "_bmad/bmm/workflows/prd/instructions.md"
    point: "prd-user-journey"
    requires: "user-journey-mapper"
    content: |

      **Subagent Hint**: Use `bmm-user-journey-mapper` to map all user types and their value paths.

  # PRD Epic Optimization
  - file: "_bmad/bmm/workflows/prd/instructions.md"
    point: "prd-epic-optimization"
    requires: "epic-optimizer"
    content: |

      **Subagent Hint**: Use `bmm-epic-optimizer` to validate epic boundaries deliver coherent value.

  # PRD Document Review
  - file: "_bmad/bmm/workflows/prd/instructions.md"
    point: "prd-checklist-review"
    requires: "document-reviewer"
    content: |

      **Subagent Hint**: Use `bmm-document-reviewer` to validate PRD completeness before finalizing.

  # Technical Decisions Curator
  - file: "_bmad/bmm/workflows/prd/instructions.md"
    point: "technical-decisions-curator"
    requires: "technical-decisions-curator"
    content: |

      **Automatic Capture**: The `bmm-technical-decisions-curator` should be invoked whenever:
      - Technology, framework, or tool is mentioned
      - Architecture patterns are discussed
      - Infrastructure or deployment topics arise
      - Integration requirements are specified

  # ===== MARKET RESEARCH TEMPLATE INJECTIONS =====

  # Market TAM/SAM/SOM Calculations
  - file: "_bmad/bmm/templates/market.md"
    point: "market-tam-calculations"
    requires: "data-analyst"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-data-analyst' subagent to perform all TAM, SAM, and SOM calculations.</i>
        <i>The subagent will apply proper methodologies, validate assumptions, and provide defensible market sizing.</i>
      </llm>

  # Market Trends Analysis
  - file: "_bmad/bmm/templates/market.md"
    point: "market-trends-analysis"
    requires: "trend-spotter"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-trend-spotter' subagent to identify and analyze emerging market trends.</i>
        <i>The subagent will detect disruption signals, technology shifts, and future opportunities.</i>
      </llm>

  # Market Customer Personas
  - file: "_bmad/bmm/templates/market.md"
    point: "market-customer-segments"
    requires: "user-researcher"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-user-researcher' subagent to develop detailed customer segment profiles and personas.</i>
        <i>The subagent will analyze behavior patterns, needs, and journey maps for each segment.</i>
      </llm>

  # Market Research Review
  - file: "_bmad/bmm/templates/market.md"
    point: "market-executive-summary"
    requires: "document-reviewer"
    content: |

      <llm critical="true">
        <i>MANDATORY: Before finalizing the executive summary, use the 'bmm-document-reviewer' subagent to validate all market research findings and ensure data accuracy.</i>
      </llm>

  # ===== COMPETITOR ANALYSIS TEMPLATE INJECTIONS =====

  # Competitor Intelligence Gathering
  - file: "_bmad/bmm/templates/competitor.md"
    point: "competitor-intelligence"
    requires: "market-researcher"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-market-researcher' subagent to gather comprehensive competitive intelligence for each competitor profile.</i>
        <i>The subagent will analyze positioning, strategy, and market dynamics.</i>
      </llm>

  # Competitor Technical Analysis
  - file: "_bmad/bmm/templates/competitor.md"
    point: "competitor-tech-stack"
    requires: "technical-evaluator"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-technical-evaluator' subagent to analyze and compare competitor technology stacks.</i>
        <i>The subagent will identify technical differentiators and architectural advantages.</i>
      </llm>

  # Competitor Metrics Analysis
  - file: "_bmad/bmm/templates/competitor.md"
    point: "competitor-metrics"
    requires: "data-analyst"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-data-analyst' subagent to analyze competitor performance metrics and market share data.</i>
      </llm>

  # Competitor Analysis Review
  - file: "_bmad/bmm/templates/competitor.md"
    point: "competitor-executive-summary"
    requires: "document-reviewer"
    content: |

      <llm critical="true">
        <i>MANDATORY: Before finalizing, use the 'bmm-document-reviewer' subagent to validate competitive analysis completeness and strategic recommendations.</i>
      </llm>

  # ===== PROJECT BRIEF TEMPLATE INJECTIONS =====

  # Brief Problem Validation
  - file: "_bmad/bmm/templates/brief.md"
    point: "brief-problem-validation"
    requires: "market-researcher"
    content: |

      <llm critical="true">
        <i>IF market research has not been provided as input, MANDATORY: Use the 'bmm-market-researcher' subagent to validate the problem statement and assess market opportunity.</i>
      </llm>

  # Brief Target User Analysis
  - file: "_bmad/bmm/templates/brief.md"
    point: "brief-user-analysis"
    requires: "user-researcher"
    content: |

      <llm critical="true">
        <i>IF target user analysis has not been provided, MANDATORY: Use the 'bmm-user-researcher' subagent to develop detailed user profiles and validate user needs.</i>
      </llm>

  # Brief Success Metrics
  - file: "_bmad/bmm/templates/brief.md"
    point: "brief-success-metrics"
    requires: "data-analyst"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-data-analyst' subagent to define and validate KPIs, success metrics, and measurement approaches.</i>
      </llm>

  # Brief Technical Feasibility
  - file: "_bmad/bmm/templates/brief.md"
    point: "brief-technical-feasibility"
    requires: "technical-evaluator"
    content: |

      <llm critical="true">
        <i>IF technical assumptions need validation, use the 'bmm-technical-evaluator' subagent to assess feasibility and identify technical risks.</i>
      </llm>

  # Brief Requirements Extraction
  - file: "_bmad/bmm/templates/brief.md"
    point: "brief-requirements"
    requires: "requirements-analyst"
    content: |

      <llm critical="true">
        <i>MANDATORY: Use the 'bmm-requirements-analyst' subagent to extract initial high-level requirements from the brief content.</i>
      </llm>

  # Brief Document Review
  - file: "_bmad/bmm/templates/brief.md"
    point: "brief-final-review"
    requires: "document-reviewer"
    content: |

      <llm critical="true">
        <i>MANDATORY: Before finalizing the brief, use the 'bmm-document-reviewer' subagent to ensure completeness and internal consistency.</i>
      </llm>

# Subagents to copy
subagents:
  source: "sub-agents"
  target: ".claude/agents"
  files:
    - "market-researcher.md"
    - "requirements-analyst.md"
    - "technical-evaluator.md"
    - "epic-optimizer.md"
    - "document-reviewer.md"
    - "codebase-analyzer.md"
    - "dependency-mapper.md"
    - "pattern-detector.md"
    - "tech-debt-auditor.md"
    - "api-documenter.md"
    - "test-coverage-analyzer.md"
    - "user-researcher.md"
    - "user-journey-mapper.md"
    - "technical-decisions-curator.md"
    - "data-analyst.md"
    - "trend-spotter.md"
